curl --request GET \
--url https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units \
--header 'Authorization: Bearer <token>'import requests
url = "https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"regionId": "uk-lon-1",
"accelerator": "GB300",
"unit": "NVL72",
"machineFlavorId": "g.72.gb300.pinned",
"deviceTypeResourceClass": "GB300_HOST",
"hostsPerUnit": 18,
"cpusPerUnit": 2592,
"gpusPerUnit": 72,
"gpuMemoryPerUnit": 20736,
"memoryPerUnit": 17280,
"host": {
"cpus": 144,
"memory": 960,
"disk": 0,
"gpu": {
"vendor": "NVIDIA",
"model": "GB300",
"physicalCount": 4,
"logicalCount": 4,
"memory": 288
}
},
"availableUnitCount": 4,
"largestContiguousUnitCount": 3,
"totalCount": 8
},
{
"regionId": "us-chi-1",
"accelerator": "GB300",
"unit": "NVL72",
"machineFlavorId": "gb300-nvl72-metal",
"deviceTypeResourceClass": "GB300_HOST",
"hostsPerUnit": 18,
"cpusPerUnit": 2592,
"gpusPerUnit": 72,
"gpuMemoryPerUnit": 20736,
"memoryPerUnit": 17280,
"host": {
"cpus": 144,
"memory": 960,
"disk": 0,
"gpu": {
"vendor": "NVIDIA",
"model": "GB300",
"physicalCount": 4,
"logicalCount": 4,
"memory": 288
}
},
"availableUnitCount": 2,
"largestContiguousUnitCount": 2,
"totalCount": 6
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}List reservation units
List reservation units.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Allows resources to be filtered by region.
Allows reservation units to be filtered by accelerator model or family.
Allows reservation units to be filtered by reservation granularity.
Response
A list of reservation units.
The region where this reservation unit is offered.
Public accelerator model or family, for example GB300.
Public reservation granularity, for example NVL72.
Region machine flavor resolved for this reservation unit.
Expected Fleet Manager device type resource class for selected hosts.
Number of hosts claimed by one reservation unit.
x >= 1Total CPUs claimed by one reservation unit.
x >= 0Total GPUs claimed by one reservation unit.
x >= 0Total GPU memory in GiB claimed by one reservation unit.
x >= 0Total memory in GiB claimed by one reservation unit.
x >= 0Region flavor capacity for one host in a reservation unit.
Show child attributes
Show child attributes
Number of complete, currently unclaimed reservation units.
x >= 0Largest contiguous reservation-unit count currently satisfiable.
x >= 0Number of complete reservation units in the regional offering.
x >= 0Was this page helpful?